*****
** TABLE 1
*****

qui {

	noi disp "Creating Table 1!"

	** Loading data
		use InputUSE\Cohort, clear // Note: Simulated/fake data.
		// Reduce cohort as desired here.
		save Work\TempCohort, replace

	** Columns		
	local Cases case==1
	local Controls case==0
	local Unexposed_controls case==0 & SSRI==0
	local Exposed_controls case==0 & SSRI==1
	local columns Cases Controls Unexposed_controls Exposed_controls

	local run = 0
	foreach column in `columns' {
	noi disp " `column'"
		use Work\TempCohort, clear
			keep if ``column''
			preserve

		use InputSTATIC\Table1Seed, clear	
		levelsof table, local(tables)
		
		foreach line in `tables' {
			local run = `run' + 1
			use InputSTATIC\Table1Seed, clear	
				keep if table == `line'
				local crit = crit[1] 
				local ref = ref[1]  
				local type = type[1]   
			
			restore, pres	
			
			if `type'==. {
				local txt = ""
			}
			
			if `type'==0 { // All
				count		
				local txt = "(n=" + string(`r(N)',"%10.0fc") + ")"
			}
			if `type'==1 { // Dict
				count if `ref'
				local total = `r(N)'
				count if `crit'				
				if `r(N)' > 9999 local txt = string(`r(N)',"%10.0fc") + " (" + string(100*`r(N)' / `total', "%10.1fc") + "%)"
				else local txt = string(`r(N)',"%10.0f") + " (" + string(100*`r(N)' / `total', "%10.1fc") + "%)"
				if `r(N)' < 5 & `r(N)' > 0 local txt = "(n<5)"
				if `r(N)'==0 local txt = "-"
			}
			if `type'==2 { // Median
				gen crit = `crit'
				summ crit, detail
				local txt = string(floor(r(p50)),"%10.0fc") + " (" + string(floor(r(p25)),"%10.0fc") + "-" + string(floor(r(p75)),"%10.0fc") + ")"
			}
			
			if `type'==3 { // Mean (SD)
				gen crit = `crit'
				summ crit, detail
				local txt = string(r(mean),"%10.1fc")+" ("+string(r(sd),"%10.1fc")+")"			
			}
			
			clear
			set obs 1
			gen txt = "`txt'"
			gen table = `line'
			gen column = "`column'"
			if `run'!=1 append using Work\TempTable
			save Work\TempTable, replace 
	} //foreach line	
	restore		
	}			
			
	** Finalizing
		use InputSTATIC\Table1Seed, clear
		save Work\TempSeed, replace
		
		foreach xx in `columns'  {
			use Work\TempTable, clear
				keep if column=="`xx'"
			joinby table using Work\TempSeed, unm(using)
				drop _merge
				ren txt `xx'
			save Work\TempSeed, replace	
		}
		
		* Indents
		count
		forvalues xx=1(1)`r(N)' {
		local range = indents[`xx']
		if `range' > 0 {
			forvalues yy=1(1)`range' {
				replace tabletxt = " " + tabletxt if _n==`xx'
				}
			}
		}
		drop indents

		* Left-align
		foreach var in tabletxt {
				local type : type `var'
				local type : subinstr local type "str" ""
				format `var' %-`type's
			}
		sort table
		keep tabletxt `columns'
		order tabletxt `columns'	
		save OutputSTATA\Table1, replace
		export excel OutputEXCEL\Table1.xlsx, firstrow(variables) replace	
}
